Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation
Class Java14AnnotationInvocationHander

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.Java14AnnotationInvocationHander

All Implemented Interfaces:
  Serializable, InvocationHandler

    public class Java14AnnotationInvocationHander

extends Object
implements InvocationHandler, Serializable

A Java 1.3 / 1.4 strongly typed Annotation handler. This proxy handler gets serialized alongside the annotationInfo within the AnnotationC compiled class.

Author:
  Alexandre Vasseur
See Also:
  Serialized Form

Constructor Summary
`Java14AnnotationInvocationHander(Class annotationInterface, Map elements)` Raw constructor that assumes an already analysed annotation instance Used for nested annotation
`Java14AnnotationInvocationHander(Class annotationInterface, String rawAnnotationName, String rawAnnotationValue)` Constructor that will trigger the parsing if required

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java14AnnotationInvocationHander

    public Java14AnnotationInvocationHander(Class annotationInterface,
                                            String rawAnnotationName,
                                            String rawAnnotationValue)

  Constructor that will trigger the parsing if required

  Parameters:
    `annotationInterface` -
    `rawAnnotationName` -
    `rawAnnotationValue` -

### Java14AnnotationInvocationHander

    public Java14AnnotationInvocationHander(Class annotationInterface,
                                            Map elements)

  Raw constructor that assumes an already analysed annotation instance Used for nested annotation

  Parameters:
    `annotationInterface` -
    `elements` -

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.